"use strict";

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _react2 = require("@storybook/react");

var _lodash = _interopRequireDefault(require("lodash.noop"));

var _addonInfo = require("@storybook/addon-info");

var _addonActions = require("@storybook/addon-actions");

var _index = _interopRequireDefault(require("./index.js"));

var _Button = _interopRequireDefault(require("../Button"));

var _index2 = _interopRequireDefault(require("../PaginationControls/index.js"));

var _index3 = _interopRequireDefault(require("../Code/index.js"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

/**
 * The DockedFooter has a unique relationship with a parent container component
 * When implementing the DockedFooter, select the parent component or
 * element where you would like the DockedFooter to set its event listeners.
 * Once selected, set a reference on the component or element using
 * React.creatRef() https://reactjs.org/docs/refs-and-the-dom.html
 *
 * After creating and setting a reference on the parent component,
 * pass the reference to the DockedFooter as a prop. See implementation
 * of the ScrollContainer component below.
 */
var ScrollContainer =
/*#__PURE__*/
function (_React$Component) {
  _inherits(ScrollContainer, _React$Component);

  function ScrollContainer(props) {
    var _this;

    _classCallCheck(this, ScrollContainer);

    _this = _possibleConstructorReturn(this, _getPrototypeOf(ScrollContainer).call(this, props)); // 1.) create the reference here.

    _this.scrollableNodeRef = _react["default"].createRef();
    _this.state = {
      scrollable: null
    };
    return _this;
  }

  _createClass(ScrollContainer, [{
    key: "componentDidMount",
    value: function componentDidMount() {
      // 3.) Use the ref to store the node in state
      this.setState({
        scrollable: this.scrollableNodeRef.current
      });
    }
  }, {
    key: "render",
    value: function render() {
      return _react["default"].createElement("div", {
        // 2.) assign the reference to the parent container element/component
        ref: this.scrollableNodeRef,
        "data-test-section": "scroll container",
        className: "height--300 overflow-y--auto"
      }, this.props.children, _react["default"].createElement(_index["default"] // 4.) Pass the node to the DockedFooter as a prop
      , {
        scrollRef: this.state.scrollable,
        testSection: 'docked-footer-more-content',
        includesMargin: true,
        rightGroup: !this.props.hasCenterGroup && [_react["default"].createElement(_Button["default"], {
          style: "plain",
          key: 0,
          onClick: _lodash["default"]
        }, "Cancel"), _react["default"].createElement(_Button["default"], {
          style: "highlight",
          key: 1,
          onClick: _lodash["default"]
        }, "Confirm")],
        centerGroup: this.props.hasCenterGroup && [_react["default"].createElement(_index2["default"], {
          key: 0,
          currentPage: 2,
          totalPages: 10,
          goToPage: (0, _addonActions.action)('page changed')
        })]
      }));
    }
  }]);

  return ScrollContainer;
}(_react["default"].Component);

ScrollContainer.propTypes = {
  children: _propTypes["default"].node,
  hasCenterGroup: _propTypes["default"].bool
};
var stories = (0, _react2.storiesOf)('DockedFooter', module);
stories.addDecorator(function (story) {
  return _react["default"].createElement("div", {
    className: "soft-quad--sides"
  }, story());
});
stories.add('With Less Content', (0, _addonInfo.withInfo)()(function () {
  return _react["default"].createElement(ScrollContainer, null, _react["default"].createElement("h2", {
    className: "push-double--top"
  }, "Test"), _react["default"].createElement("p", null, "If the content doesn't overflow the container, the footer has no shadow"));
})).add('With More Content', (0, _addonInfo.withInfo)()(function () {
  return _react["default"].createElement(ScrollContainer, null, _react["default"].createElement("div", null, _react["default"].createElement("h2", {
    className: "push-double--top"
  }, "Test"), _react["default"].createElement("p", null, "Usage of this DockedFooter component looks like:"), _react["default"].createElement(_index3["default"], {
    hasCopyButton: true,
    testSection: "my-code-box",
    type: 'block',
    language: 'js'
  }, '<DockedFooter \n\t' + '// Pass the node to the DockedFooter as a prop' + '\n\tscrollRef={ this.state.scrollable }' + '\n\ttestSection=`docked-footer-more-content` }' + '\n\tincludesMargin={ true }' + '\n\trightGroup={[ \n\t\t<Button style="plain" key={ 0 }' + 'onClick={ noop }> \n\t\t\tCancel\n\t\t</Button>,' + '\n\t\t<Button style="highlight" key={ 1 }' + 'onClick={ noop }>\n\t\t\tConfirm' + '\n\t\t</Button>,\n\t ]} \n />'), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Keep scrolling..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Almost there..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content...")));
})).add('With Different Button Row Content', (0, _addonInfo.withInfo)()(function () {
  return _react["default"].createElement(ScrollContainer, {
    hasCenterGroup: true
  }, _react["default"].createElement("div", null, _react["default"].createElement("h2", {
    className: "push-double--top"
  }, "Test"), _react["default"].createElement("p", null, "Usage of this DockedFooter component looks like:"), _react["default"].createElement(_index3["default"], {
    hasCopyButton: true,
    testSection: "my-code-box",
    type: 'block',
    language: 'js'
  }, '<DockedFooter \n\t' + '// Pass the node to the DockedFooter as a prop' + '\n\tscrollRef={ this.state.scrollable }' + '\n\ttestSection=`docked-footer-more-content` }' + '\n\tincludesMargin={ true }' + '\n\tcenterGroup={[ \n\t\t<PaginationControls' + '\n\t\t\tkey={ 0 }' + '\n\t\t\tcurrentPage={ 2 }' + '\n\t\t\ttotalPages={ 10 }' + '\n\t\t\tgoToPage={ noop }' + '\n\t\t/>' + '\n\t ]} \n />'), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content..."), _react["default"].createElement("p", null, "Test content...")));
}));