function _typeof(obj) { if (typeof Symbol === "function" && typeof Symbol.iterator === "symbol") { _typeof = function _typeof(obj) { return typeof obj; }; } else { _typeof = function _typeof(obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; }; } return _typeof(obj); }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } }

function _createClass(Constructor, protoProps, staticProps) { if (protoProps) _defineProperties(Constructor.prototype, protoProps); if (staticProps) _defineProperties(Constructor, staticProps); return Constructor; }

function _possibleConstructorReturn(self, call) { if (call && (_typeof(call) === "object" || typeof call === "function")) { return call; } return _assertThisInitialized(self); }

function _getPrototypeOf(o) { _getPrototypeOf = Object.setPrototypeOf ? Object.getPrototypeOf : function _getPrototypeOf(o) { return o.__proto__ || Object.getPrototypeOf(o); }; return _getPrototypeOf(o); }

function _assertThisInitialized(self) { if (self === void 0) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function"); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, writable: true, configurable: true } }); if (superClass) _setPrototypeOf(subClass, superClass); }

function _setPrototypeOf(o, p) { _setPrototypeOf = Object.setPrototypeOf || function _setPrototypeOf(o, p) { o.__proto__ = p; return o; }; return _setPrototypeOf(o, p); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import { storiesOf } from '@storybook/react';
import { withKnobs } from '@storybook/addon-knobs';
import { action } from '@storybook/addon-actions';
import DragAndDropStateless from './index';
import Token from '../Token';
var itemsWithoutGroups = [{
  id: 1,
  type: 'item',
  text: 'Item A'
}, {
  id: 2,
  type: 'item',
  text: 'Item B'
}, {
  id: 3,
  type: 'item',
  text: 'Item C'
}, {
  id: 4,
  type: 'item',
  text: 'Item D'
}, {
  id: 5,
  type: 'item',
  text: 'Item E'
}]; // eslint-disable-next-line react/prop-types

var renderTokenItem = function renderTokenItem(_ref) {
  var item = _ref.item,
      index = _ref.index,
      snapshot = _ref.snapshot;
  return React.createElement("div", null, React.createElement(Token, {
    isDraggable: true,
    name: item['text'] + '- isDragging? ' + snapshot.isDragging,
    order: index + 1,
    showWell: false
  }));
}; // Helper wrapper class to store the state so the stories are usable/interactive


var DragAndDrop =
/*#__PURE__*/
function (_React$Component) {
  _inherits(DragAndDrop, _React$Component);

  function DragAndDrop() {
    var _getPrototypeOf2;

    var _this;

    _classCallCheck(this, DragAndDrop);

    for (var _len = arguments.length, args = new Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    _this = _possibleConstructorReturn(this, (_getPrototypeOf2 = _getPrototypeOf(DragAndDrop)).call.apply(_getPrototypeOf2, [this].concat(args)));

    _defineProperty(_assertThisInitialized(_this), "state", {
      items: _this.props.items
    });

    _defineProperty(_assertThisInitialized(_this), "updateItemOrder", function (items) {
      _this.setState({
        items: items
      });

      _this.props.onDragEnd(items);
    });

    return _this;
  }

  _createClass(DragAndDrop, [{
    key: "render",
    value: function render() {
      var _this$props = this.props,
          renderItem = _this$props.renderItem,
          idForDroppableRegion = _this$props.idForDroppableRegion,
          onBeforeCapture = _this$props.onBeforeCapture;
      return React.createElement(DragAndDropStateless, {
        idForDroppableRegion: idForDroppableRegion,
        items: this.state.items,
        onBeforeCapture: onBeforeCapture,
        onDragEnd: this.updateItemOrder,
        renderItem: renderItem
      });
    }
  }]);

  return DragAndDrop;
}(React.Component);

DragAndDrop.propTypes = DragAndDropStateless.propTypes;
DragAndDrop.defaultProps = DragAndDropStateless.defaultProps;
var stories = storiesOf('DragAndDrop', module);
stories.addDecorator(withKnobs).addDecorator(function (story) {
  return React.createElement("div", {
    id: "root-preview"
  }, story());
});
stories.add('Reordering flat list', function () {
  return React.createElement(DragAndDrop, {
    idForDroppableRegion: 'droppable-story-demo',
    items: itemsWithoutGroups,
    onBeforeCapture: action('do something before dragging begins'),
    onDragEnd: action('get new order of items'),
    renderItem: renderTokenItem
  });
});